Difference between revisions of "OpenSCAD ScaleMeshFeature"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "<languages/> <translate> <!--T:10--> {{Docnav |Mirror Mesh Feature |Increase Tolerance Feature |OpenSCAD_Module...")
 
Line 4: Line 4:
 
{{Docnav
 
{{Docnav
 
|[[OpenSCAD_MirrorMeshFeature|Mirror Mesh Feature]]
 
|[[OpenSCAD_MirrorMeshFeature|Mirror Mesh Feature]]
|[[OpenSCAD_IncreaseTolerance|Increase Tolerance Feature]]
+
|[[OpenSCAD_ResizeMeshFeature|Resize Mesh Feature]]
 
|[[OpenSCAD_Module|OpenSCAD]]
 
|[[OpenSCAD_Module|OpenSCAD]]
 
|IconL=OpenSCAD_MirrorMeshFeature.svg
 
|IconL=OpenSCAD_MirrorMeshFeature.svg
 
|IconC=Workbench_OpenSCAD.svg
 
|IconC=Workbench_OpenSCAD.svg
|IconR=OpenSCAD_IncreaseToleranceFeature.svg
+
|IconR=Workbench_OpenSCAD.svg
 
}}
 
}}
  
Line 60: Line 60:
 
{{Docnav
 
{{Docnav
 
|[[OpenSCAD_MirrorMeshFeature|Mirror Mesh Feature]]
 
|[[OpenSCAD_MirrorMeshFeature|Mirror Mesh Feature]]
|[[OpenSCAD_IncreaseTolerance|Increase Tolerance Feature]]
+
|[[OpenSCAD_ResizeMeshFeature|Resize Mesh Feature]]
 
|[[OpenSCAD_Module|OpenSCAD]]
 
|[[OpenSCAD_Module|OpenSCAD]]
 
|IconL=OpenSCAD_MirrorMeshFeature.svg
 
|IconL=OpenSCAD_MirrorMeshFeature.svg
 
|IconC=Workbench_OpenSCAD.svg
 
|IconC=Workbench_OpenSCAD.svg
|IconR=OpenSCAD_IncreaseToleranceFeature.svg
+
|IconR=Workbench_OpenSCAD.svg
 
}}
 
}}
  

Revision as of 21:56, 12 August 2020

Other languages:
English • ‎français • ‎italiano • ‎polski

OpenSCAD ScaleMesh.svg OpenSCAD ScaleMesh

Menu location
OpenSCAD → Scale Mesh Feature
Workbenches
OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Mesh Scale

Description

Creates a new scaled mesh object with independent scaling for each axis.

OpenSCAD ScaleMesh.svg

Usage

  1. Select the mesh object to be scaleed.
  2. Click the OpenSCAD → Scale Mesh Feature... menu.
  3. Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
  • A parent-object is created and mirrored, the original object is rendered hidden.

Limitations

  • The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new mirrored object.

Notes

  • The function does not modify the existing mesh, but returns a new mesh.
  • The function can be accessed via python:
import OpenSCADUtils
import Mesh
#this assumes an existing object in the document named "Mesh" that you wish to mirror
original_mesh = App.ActiveDocument.Mesh
scale_mesh = OpenSCADUtils.scalemesh(original_mesh.Mesh, FreeCAD.Base.Vector(1,0,0))
Mesh.show(scaled_mesh)